aboutsummaryrefslogtreecommitdiff
path: root/entries
diff options
context:
space:
mode:
Diffstat (limited to 'entries')
-rw-r--r--entries/braxtonhall/wc/.gitignore1
-rw-r--r--entries/braxtonhall/wc/fib.sh22
-rw-r--r--entries/lucaszamprogno/fib.js1
-rw-r--r--entries/lucaszamprogno/package.json14
4 files changed, 38 insertions, 0 deletions
diff --git a/entries/braxtonhall/wc/.gitignore b/entries/braxtonhall/wc/.gitignore
new file mode 100644
index 0000000..0aafc44
--- /dev/null
+++ b/entries/braxtonhall/wc/.gitignore
@@ -0,0 +1 @@
+**/1 \ No newline at end of file
diff --git a/entries/braxtonhall/wc/fib.sh b/entries/braxtonhall/wc/fib.sh
new file mode 100644
index 0000000..1759dff
--- /dev/null
+++ b/entries/braxtonhall/wc/fib.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+function rec () {
+
+ if [ $2 == "0" ]; then
+ :
+ elif [ $2 == "1" ]; then
+ [ -f "$1/$2" ] || echo "🥵" > "$1/$2"
+ else
+ [ -d "$1/$2" ] || mkdir "$1/$2"
+ rec "$1/$2" $(($2 - 1))
+ rec "$1/$2" $(($2 - 2))
+ fi
+}
+
+if [[ $1 =~ ^[0-9]+$ ]]; then
+ rec $(pwd) $1
+ find $(pwd)/$1 -type f | wc -l
+else
+ echo "Please provide a natural number!"
+ exit 1
+fi
diff --git a/entries/lucaszamprogno/fib.js b/entries/lucaszamprogno/fib.js
new file mode 100644
index 0000000..bd5da6b
--- /dev/null
+++ b/entries/lucaszamprogno/fib.js
@@ -0,0 +1 @@
+console.log(require('fibonacci-series')(process.argv[2])) \ No newline at end of file
diff --git a/entries/lucaszamprogno/package.json b/entries/lucaszamprogno/package.json
new file mode 100644
index 0000000..c5b9529
--- /dev/null
+++ b/entries/lucaszamprogno/package.json
@@ -0,0 +1,14 @@
+{
+ "name": "fib",
+ "version": "1.0.0",
+ "description": "",
+ "main": "fib.js",
+ "scripts": {
+ "test": "echo \"Error: no test specified\" && exit 1"
+ },
+ "dependencies": {
+ "fibonacci-series": "1.0.1"
+ },
+ "author": "Lucas Zamprogno",
+ "license": "ISC"
+}